<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hpsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hpsc_t</compoundname>
    <includes local="no">cy_ble_hps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hpsc__t_1ae5443105228933731e679eabc17eb6e5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hpsc_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>HTTP Proxy Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="116" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hpsc__t_1a7bc9d3beba587958fdcb714faa96940f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hpsc__char__t">cy_stc_ble_hpsc_char_t</ref></type>
        <definition>cy_stc_ble_hpsc_char_t cy_stc_ble_hpsc_t::charInfo[CY_BLE_HPS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_HPS_CHAR_COUNT]</argsstring>
        <name>charInfo</name>
        <briefdescription>
<para>HTTP Proxy Service Characteristics info structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="118" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="118" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of HTTP Proxy Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="841">
        <label>cy_stc_ble_hpsc_t</label>
        <link refid="structcy__stc__ble__hpsc__t" />
        <childnode refid="842" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
      <node id="842">
        <label>cy_stc_ble_hpsc_char_t</label>
        <link refid="structcy__stc__ble__hpsc__char__t" />
      </node>
    </collaborationgraph>
    <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hps.h" line="114" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hpsc__t_1a7bc9d3beba587958fdcb714faa96940f" virt="non-virtual"><scope>cy_stc_ble_hpsc_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__hpsc__t_1ae5443105228933731e679eabc17eb6e5" virt="non-virtual"><scope>cy_stc_ble_hpsc_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>